Hi All,

i'm on a mac osx 10.5.6 x86

python 2.5.1
(system python that comes with osx)

boost-1.37 
( iinstalled from source in usr/local)


tring to install cgkit i'm havig problems about boost_python libraries :-(
i used these step :

ceckout the svn code

cd .../trunk/supportlib
cp cpp_config_template copia.cfg config.cfg

in it i used :

CPPPATH += ["/usr/local/include/boost-1_37"]

changes line 11 in SConstruct to :

opts = Options("config.cfg")

scons

scons: Reading SConscript files ...

scons: warning: The Options class is deprecated; use the Variables class instead.
File "/opt/gis/cgkit/cgkit/trunk/supportlib/SConstruct", line 11, in <module>
26 source files
C++ compiler version: 4.0.1
Checking for C++ header file boost/shared_ptr.hpp... (cached) yes
scons: done reading SConscript files.
scons: Building targets ...
scons: `.' is up to date.
scons: done building targets.

cd ..

cp cpp_config_template copia.cfg config.cfg

changing the config to :

######################################################################
# Boost.Python settings
######################################################################

# Name of the Boost.Python library to link with
BOOST_LIB = "boost_python"

INC_DIRS = ["/usr/local/include/boost-1_37/"]


# Name of the Boost.Python runtime dll (only relevant on Windows)
#BOOST_DLL = "boost_python.dll"

######################################################################
# Additional libraries
######################################################################

LIBS += ["/usr/local/lib/"]


but the build fails with :


sudo python setup.py install
Password:
Updating version in the cgkitinfo module...
Version: 2.0.0alpha8cvs (Jan 06 2009, 10:20)
======================================================================
3DS importer:      disabled
VRML/X3D importer: disabled
OpenSceneGraph:    disabled
OGRE:              disabled
3DXWare:           disabled
Wintab:            disabled
Glove module:      disabled
======================================================================
Include paths (INC_DIRS):

  supportlib/include
  /usr/local/include/boost-1_37/
  /System/Library/Frameworks/OpenGL.framework/Versions/A/Headers/

Library paths (LIB_DIRS):

  supportlib/lib
  /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries

Libraries to link with (LIBS):

  /usr/local/lib/, boost_python, core, GL, GLU

======================================================================
running install
running build
running build_py
copying cgkit/cgkitinfo.py -> build/lib.macosx-10.5-i386-2.5/cgkit
running build_ext
building '_core' extension
warning: no library file corresponding to '/usr/local/lib/' found (skipping)
g++ -Wl,-F. -bundle -undefined dynamic_lookup -arch i386 -arch ppc build/temp.macosx-10.5-i386-2.5/wrappers/py_wrapper.o build/temp.macosx-10.5-i386-2.5/wrappers/py_noise.o build/temp.macosx-10.5-i386-2.5/wrappers/py_vec3.o build/temp.macosx-10.5-i386-2.5/wrappers/py_vec4.o build/temp.macosx-10.5-i386-2.5/wrappers/py_mat3.o build/temp.macosx-10.5-i386-2.5/wrappers/py_mat4.o build/temp.macosx-10.5-i386-2.5/wrappers/py_quat.o build/temp.macosx-10.5-i386-2.5/wrappers/py_slots1.o build/temp.macosx-10.5-i386-2.5/wrappers/py_slots2.o build/temp.macosx-10.5-i386-2.5/wrappers/py_slots3.o build/temp.macosx-10.5-i386-2.5/wrappers/py_slots4.o build/temp.macosx-10.5-i386-2.5/wrappers/py_arrayslots1.o build/temp.macosx-10.5-i386-2.5/wrappers/py_arrayslots2.o build/temp.macosx-10.5-i386-2.5/wrappers/py_arrayslot_mat3.o build/temp.macosx-10.5-i386-2.5/wrappers/py_arrayslot_mat4.o build/temp.macosx-10.5-i386-2.5/wrappers/py_arrayslots4.o build/temp.macosx-10.5-i386-2.5/wrappers/py_component.o build/temp.macosx-10.5-i386-2.5/wrappers/py_boundingbox.o build/temp.macosx-10.5-i386-2.5/wrappers/py_worldobject.o build/temp.macosx-10.5-i386-2.5/wrappers/py_worldobject2.o build/temp.macosx-10.5-i386-2.5/wrappers/py_worldobject3.o build/temp.macosx-10.5-i386-2.5/wrappers/py_material.o build/temp.macosx-10.5-i386-2.5/wrappers/py_glmaterial.o build/temp.macosx-10.5-i386-2.5/wrappers/py_geoms1.o build/temp.macosx-10.5-i386-2.5/wrappers/py_spheregeom.o build/temp.macosx-10.5-i386-2.5/wrappers/py_ccylindergeom.o build/temp.macosx-10.5-i386-2.5/wrappers/py_torusgeom.o build/temp.macosx-10.5-i386-2.5/wrappers/py_boxgeom.o build/temp.macosx-10.5-i386-2.5/wrappers/py_planegeom.o build/temp.macosx-10.5-i386-2.5/wrappers/py_trimeshgeom.o build/temp.macosx-10.5-i386-2.5/wrappers/py_polyhedrongeom.o build/temp.macosx-10.5-i386-2.5/wrappers/py_drawgeom.o build/temp.macosx-10.5-i386-2.5/wrappers/py_lightsource.o build/temp.macosx-10.5-i386-2.5/wrappers/py_glpointlight.o build/temp.macosx-10.5-i386-2.5/wrappers/py_glspotlight.o build/temp.macosx-10.5-i386-2.5/wrappers/py_gldistantlight.o build/temp.macosx-10.5-i386-2.5/wrappers/py_glrenderer.o build/temp.macosx-10.5-i386-2.5/wrappers/py_massproperties.o build/temp.macosx-10.5-i386-2.5/wrappers/rply/rply/rply.o build/temp.macosx-10.5-i386-2.5/wrappers/rply/py_rply_read.o build/temp.macosx-10.5-i386-2.5/wrappers/rply/py_rply_write.o -Lsupportlib/lib -L/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries -lboost_python -lcore -lGL -lGLU -o build/lib.macosx-10.5-i386-2.5/cgkit/_core.so -framework AGL -framework OpenGL
ld: library not found for -lboost_python
collect2: ld returned 1 exit status
ld: library not found for -lboost_python
collect2: ld returned 1 exit status
lipo: can't open input file: /var/tmp//ccFwOGVR.out (No such file or directory)
error: command 'g++' failed with exit status 1




tring the light build, using in the config :

INSTALL_CGKIT_LIGHT = True

all compile without errors.



thanks a lot for any help!
regards,

Massimo